<?php

function exception_handler($exception) {
    $message  = 'Wrong query : ' . $exception->getMessage() . "<br>\n";
    $message .= "Please, send this message to the webmaster";
    die($message);
}

function extraction_infos_DB() {
	global $db;

	$sql = 'SELECT * FROM PAGES WHERE Id_page = :id_page';
	$statement = $db->prepare($sql);
	$statement->execute(array(':id_page'   => $_ENV['id_page']));
	$tabl_result = $statement->fetch();

	$_ENV['mots_cles'] = $tabl_result['Mots_cles'];
	$_ENV['description'] = $tabl_result['Description'];
	$_ENV['titre'] = $tabl_result['Titre'];
	$_ENV['contenu'] = $tabl_result['Contenu'];
	$_ENV['id_parent'] = $tabl_result['Id_parent'];
}
// --------------------------------------------------------------------------------------------------------------------------
// Affiche le chemin de fer.
// Paramtres : id de la page en cours -> $idpage
// Renvoie : chemin complet -> $chemin_complet
function affiche_chemin_fer($idpage) {
	global $db, $template;

	// Si l'id de la page en cours est diffrent de 0
	// (0 = page parente de la page racine = inexistante)
	if ($idpage != 0) {
		$pages = array();

		$sql = 'SELECT * FROM PAGES WHERE Id_page = :id_page';
		$statement = $db->prepare($sql);

		do{
			// on rcupre les informations de la page en cours dans la DB
			$statement->execute(array(':id_page'   => $idpage));
			$tabl_results = $statement->fetch();

			// Envoi au template
			$pages[] = $tabl_results;

			$idpage = $tabl_results['Id_parent'];
		} while($idpage);

		if(!empty($pages)){
			$nb_pages = count($pages);
			for($i = $nb_pages-1; $i >= 0; --$i){
				$template->assign_block_vars('un_niveau', array(
					'ID'	=> $pages[$i]['Id_page'],
					'TITLE' => $pages[$i]['Titre']
					));
			}
		}
	}
}

// --------------------------------------------------------------------------------------------------------------------------
// Affiche les menus.
// Paramtres : id de la page -> $idpage
// (id de la page en cours pour le menu de gauche, id de la page racine (1) pour le menu du haut)
// Renvoie : le menu sous forme de liste -> $menu_retour
function affiche_menu($idpage, $menu) {
    global $db, $template;

    $sql = 'SELECT * FROM PAGES WHERE Id_parent = :id_page';
    $statement = $db->prepare($sql);
    $statement->execute(array(':id_page'   => $idpage));
    $tabl_results = $statement->fetchAll();

    // Si la page n'a pas de page fille, alors on modifie la requte pour obtenir ses pages soeurs.
    if (count($tabl_results) == 0) {
        $statement->execute(array(':id_page'   => $_ENV['id_parent']));
        $tabl_results = $statement->fetchAll();
    }

    if(count($tabl_results)){
        $template->assign_block_vars($menu, array());

        foreach($tabl_results as $tabl_result) {
            $template->assign_block_vars($menu.'.un_niveau', array(
                'ID'      => $tabl_result['Id_page'],
                'TITLE'   => $tabl_result['Titre']
                ));
        }
    }
}

?>